org.bouncycastle.util.test

## Class SimpleTestResult

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTestResult

All Implemented Interfaces:
  TestResult

    public class SimpleTestResult
    extends java.lang.Object
    implements TestResult

### Constructor Summary

Constructors
Constructor and Description
`SimpleTestResult(boolean success, java.lang.String message)`
`SimpleTestResult(boolean success, java.lang.String message, java.lang.Throwable exception)`

### Method Summary

Methods
`static TestResult` `failed(Test test, java.lang.String message)`
`static TestResult` `failed(Test test, java.lang.String message, java.lang.Object expected, java.lang.Object found)`
`static TestResult` `failed(Test test, java.lang.String message, java.lang.Throwable t)`
`static java.lang.String` `failedMessage(java.lang.String algorithm, java.lang.String testName, java.lang.String expected, java.lang.String actual)`
`java.lang.Throwable` `getException()`
`boolean` `isSuccessful()`
`static TestResult` `successful(Test test, java.lang.String message)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SimpleTestResult

    public SimpleTestResult(boolean success,
                    java.lang.String message)

#### SimpleTestResult

    public SimpleTestResult(boolean success,
                    java.lang.String message,
                    java.lang.Throwable exception)

### Method Detail

#### successful

    public static TestResult successful(Test test,
                        java.lang.String message)

#### failed

    public static TestResult failed(Test test,
                    java.lang.String message)

#### failed

    public static TestResult failed(Test test,
                    java.lang.String message,
                    java.lang.Throwable t)

#### failed

    public static TestResult failed(Test test,
                    java.lang.String message,
                    java.lang.Object expected,
                    java.lang.Object found)

#### failedMessage

    public static java.lang.String failedMessage(java.lang.String algorithm,
                                 java.lang.String testName,
                                 java.lang.String expected,
                                 java.lang.String actual)

#### isSuccessful

    public boolean isSuccessful()

Specified by:
  `isSuccessful` in interface `TestResult`

#### toString

    public java.lang.String toString()

Specified by:
  `toString` in interface `TestResult`
Overrides:
  `toString` in class `java.lang.Object`

#### getException

    public java.lang.Throwable getException()

Specified by:
  `getException` in interface `TestResult`